Subject: bug#9101: timeout should use setitimer if available

From: SciFi <[email-masked]>
Date: Tue, 19 Jul 2011 14:01:34 -0500

Hi,

On Jul 19, 2011, at 06:00, Pádraig Brady wrote:
> 
> We could remove the setitimer stuff altogether and
> just support 1 second resolution on darwin et. al.
> That's by far the most common use case anyway.

If I may, since I am an OSX user [1] [2] ,
I cast my "vote" here.  ;)

[1] I am planning to use the 'timeout' CLI as part of a
    simple PVR app in conjunction with HDHomeRun® tuners.
    1s-resolution is plenty, if I can also trust the
    age-old 'at'/'cron' mechanisms, too.  ;)

[2] OT: I am also planning to "jump ship", and have
    posted a big write-up on why I've decided this on
    the pan-users list (my current main project):
    <https://lists.nongnu.org/archive/html/pan-users/2011-07/msg00043.html>
    I'd like to invite anyone to comment in that thread.